
# Schritt-für-Schritt-Anleitung zur Konfiguration des OTOBO-Installer

EINleitung:
Nach der ausführung des deployments und dem aufrufen des http:/[yourfqdn/ip]/otobo/installer.pl

Diese Anleitung hilft Ihnen, die OTOBO-Installation abzuschliessen mit dem installer.pl

---

## Schritt 1: Lizenz

1. **Starten Sie den Konfigurationsprozess**, indem Sie die EULA akzeptieren.
2. Klicken Sie auf die Schaltfläche **`Weiter`**, um fortzufahren.

![Schritt 1 Lizenz](/images/otobo-pic1.webp)

---

## Schritt 2: Datenbankkonfiguration

### MySQL-Konfiguration

1. **Geben Sie die Datenbank-initialisierungs daten ein**:
   - **Type**: Geben Sie den Type der DB an (z.B MySQL).
   - **Install Type**: Geben an ob eine neue DB erstellt werden soll oder eine Bestehende Benutzt (in unserem Fall wird eine neue erstellt).

![Schritt 2 Datenbankauswahl](/images/otobo-pic2.webp)

2. **Datenbankeinstellungen**:
   - Geben Sie Details für einen neuen Datenbankbenutzer ein:
     - **Benutzername**: `root`
     - **Passwort**: Verwenden Sie das OTOBO_DB_ROOT_PASSWORD dass via Umgebungsvariablen gesetzt wurde.
     - **Datenbank Host**: Geben Sie `db` ein.

![Schritt 2 MySQL-Konfiguration](/images/otobo-pic3.webp)

3. Überprüfen Sie die Datenbankverbindung, indem Sie auf **`Datenbankprüfung`** klicken. Stellen Sie sicher, dass die Meldung "Datenbankprüfung erfolgreich" angezeigt wird.

4. Klicken Sie auf **`Weiter`**, um fortzufahren.

---

### Bestätigung der Datenbankerstellung

1. Wenn erfolgreich, wird die Meldung "Datenbank erfolgreich erstellt!" angezeigt.

![Bestätigung Datenbankerstellung](/images/otobo-pic4.png)

2. Das System erstellt automatisch die Datenbank und wendet das notwendige Schema und die Berechtigungen an. Stellen Sie sicher, dass alle Schritte mit grünen Haken markiert sind (z. B. "CREATE DATABASE", "GRANT ALL PRIVILEGES").

![Datenbank überprüfung](/images/otobo-pic5.png)

3. Klicken Sie auf **`Weiter`**, um fortzufahren.

---

## Schritt 3: Allgemeine Einstellungen und E-Mail-Konfiguration

### Systemeinstellungen

1. **Systemdetails**:
   - **System-ID**: Geben Sie eine eindeutige numerische ID für das System ein (z. B. `66`).
   - **HTTP-Typ**: Wählen Sie `https` für eine sichere Kommunikation.
   - **System-FQDN**: Geben Sie den vollständig qualifizierten Domainnamen (FQDN) des Systems ein (z. B. `support.xsense.ch`).
   - **Administrator-E-Mail**: Geben Sie die E-Mail-Adresse des Administrators ein (z. B. `support@xsense.ch`).
   - **Organisation**: Geben Sie den Namen Ihrer Organisation ein (z. B. `Xsense GmbH`).

2. **Protokollierung**:
   - **Protokollmodul**: Setzen Sie es auf `Datei` (File).
   - **Pfad zur Protokolldatei**: Geben Sie den Pfad zur Protokolldatei ein (z. B. `/opt/otobo/var/log/otobo.log`).

3. **Weboberfläche**:
   - **Standardsprache**: Setzen Sie diese auf `Deutsch` (oder Ihre bevorzugte Sprache).
   - **MX-Einträge prüfen**: Wählen Sie `Ja`, um E-Mail-Adressen gegen DNS-MX-Einträge zu überprüfen.

![E-Mail-Konfiguration](/images/otobo-pic6.png)

4. Klicken Sie auf **`Weiter`**, um diese Einstellungen zu speichern.

---

### E-Mail-Konfiguration

1. **Ausgehende E-Mails**:
   - **Typ**: Wählen Sie das E-Mail-Protokoll (z. B. SMTP).
   - **Port**: Geben Sie den Port für ausgehende E-Mails ein (z. B. `587` für SMTP mit TLS).
   - **SMTP-Host**: Geben Sie die Adresse des SMTP-Servers ein.
   - **SMTP-Authentifizierung**: Aktivieren Sie diese Option, falls erforderlich, und geben Sie die Zugangsdaten ein.

2. **Eingehende E-Mails**:
   - **Typ**: Wählen Sie das E-Mail-Protokoll (z. B. IMAP oder POP3).
   - **Host**: Geben Sie die Adresse des eingehenden Mailservers ein.
   - **Benutzername**: Geben Sie den Benutzernamen für das E-Mail-Konto ein.
   - **Passwort**: Geben Sie das Passwort des E-Mail-Kontos ein.

3. Testen Sie die Konfiguration, indem Sie auf **`E-Mail-Konfiguration prüfen`** klicken, oder überspringen Sie diesen Schritt, indem Sie **`Diesen Schritt überspringen`** wählen.

![Abschluss](/images/otobo-pic7.png)

---

## Schritt 4: Abschluss

1. Überprüfen Sie die Zusammenfassung der Konfiguration.
2. Notieren Sie sich die bereitgestellten Zugangsdaten (z. B. `root@localhost` und das generierte Passwort).

3. Greifen Sie über die angegebene URL auf die OTOBO-Weboberfläche zu (z. B. `http://10.10.11.36/otobo/index.pl`).

![Weboberfläche Zugang](images/otobo-pic8.png)
